Package org.htmlunit.html

# Enum Class HtmlElement.DisplayStyle

java.lang.Object
java.lang.Enum<HtmlElement.DisplayStyle>
org.htmlunit.html.HtmlElement.DisplayStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<HtmlElement.DisplayStyle>`, `Constable`

Enclosing class:
  `HtmlElement`

public static enum HtmlElement.DisplayStyle extends Enum<HtmlElement.DisplayStyle>
Enum for the different display styles.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCK`
  block.
  `CONTENTS`
  contents.
  `EMPTY`
  Empty string.
  `INLINE`
  inline.
  `INLINE_BLOCK`
  inline-block.
  `LIST_ITEM`
  list-item.
  `NONE`
  none.
  `RUBY`
  ruby.
  `RUBY_BASE`
  ruby-base.
  `RUBY_TEXT`
  ruby-text-container.
  `RUBY_TEXT_CONTAINER`
  ruby-text-container.
  `TABLE`
  table.
  `TABLE_CAPTION`
  table-caption.
  `TABLE_CELL`
  table-cell.
  `TABLE_COLUMN`
  table-column.
  `TABLE_COLUMN_GROUP`
  table-column-group.
  `TABLE_FOOTER_GROUP`
  table-footer-group.
  `TABLE_HEADER_GROUP`
  table-header-group.
  `TABLE_ROW`
  table-row.
  `TABLE_ROW_GROUP`
  table-row-group.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `value()`
  The string used from js.
  `static HtmlElement.DisplayStyle`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HtmlElement.DisplayStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EMPTY

    public static final HtmlElement.DisplayStyle EMPTY
    Empty string.

  - ### NONE

    public static final HtmlElement.DisplayStyle NONE
    none.

  - ### BLOCK

    public static final HtmlElement.DisplayStyle BLOCK
    block.

  - ### CONTENTS

    public static final HtmlElement.DisplayStyle CONTENTS
    contents.

  - ### INLINE

    public static final HtmlElement.DisplayStyle INLINE
    inline.

  - ### INLINE_BLOCK

    public static final HtmlElement.DisplayStyle INLINE_BLOCK
    inline-block.

  - ### LIST_ITEM

    public static final HtmlElement.DisplayStyle LIST_ITEM
    list-item.

  - ### TABLE

    public static final HtmlElement.DisplayStyle TABLE
    table.

  - ### TABLE_CELL

    public static final HtmlElement.DisplayStyle TABLE_CELL
    table-cell.

  - ### TABLE_COLUMN

    public static final HtmlElement.DisplayStyle TABLE_COLUMN
    table-column.

  - ### TABLE_COLUMN_GROUP

    public static final HtmlElement.DisplayStyle TABLE_COLUMN_GROUP
    table-column-group.

  - ### TABLE_ROW

    public static final HtmlElement.DisplayStyle TABLE_ROW
    table-row.

  - ### TABLE_ROW_GROUP

    public static final HtmlElement.DisplayStyle TABLE_ROW_GROUP
    table-row-group.

  - ### TABLE_HEADER_GROUP

    public static final HtmlElement.DisplayStyle TABLE_HEADER_GROUP
    table-header-group.

  - ### TABLE_FOOTER_GROUP

    public static final HtmlElement.DisplayStyle TABLE_FOOTER_GROUP
    table-footer-group.

  - ### TABLE_CAPTION

    public static final HtmlElement.DisplayStyle TABLE_CAPTION
    table-caption.

  - ### RUBY

    public static final HtmlElement.DisplayStyle RUBY
    ruby.

  - ### RUBY_BASE

    public static final HtmlElement.DisplayStyle RUBY_BASE
    ruby-base.

  - ### RUBY_TEXT

    public static final HtmlElement.DisplayStyle RUBY_TEXT
    ruby-text-container.

  - ### RUBY_TEXT_CONTAINER

    public static final HtmlElement.DisplayStyle RUBY_TEXT_CONTAINER
    ruby-text-container.

- ## Method Details

  - ### values

    public static HtmlElement.DisplayStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HtmlElement.DisplayStyle valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    The string used from js.
    Returns:
      the value as string